Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class Pseudograph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.Pseudograph<V,E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Graph<V,E>, UndirectedGraph<V,E>

Direct Known Subclasses:
  WeightedPseudograph

    public class Pseudograph<V,E>

extends AbstractBaseGraph<V,E>
implements UndirectedGraph<V,E>

A pseudograph. A pseudograph is a non-simple undirected graph in which both graph loops and multiple edges are permitted. If you're unsure about pseudographs, see: http://mathworld.wolfram.com/Pseudograph.html.

See Also:
  Serialized Form

Constructor Summary
`Pseudograph(java.lang.Class<? extends E> edgeClass)` Creates a new pseudograph.
`Pseudograph(EdgeFactory<V,E> ef)` Creates a new pseudograph with the specified edge factory.

Method Summary

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.UndirectedGraph
`degreeOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### Pseudograph

    public Pseudograph(java.lang.Class<? extends E> edgeClass)

  Creates a new pseudograph.

  Parameters:
    `edgeClass` - class on which to base factory for edges

### Pseudograph

    public Pseudograph(EdgeFactory<V,E> ef)

  Creates a new pseudograph with the specified edge factory.

  Parameters:
    `ef` - the edge factory of the new graph.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD